/*
 *  libmenuthing v0.0.1 demo
 *  demonstrates the use of current functions
 *  ARM (GP2X)
 */

/* include libmenuthing header, found in lmt/ */
#include "libmenuthing.h"
extern SDL_Surface *surface;
extern int savestate;
using namespace std;
SDL_Surface *screen;
extern int emulating;
/* exit function */
void menu_Exit(void*)
{
    emulating=0;
    return;
}
void menu_statechange(void* arg)
{
if ((savestate+=(int)arg) >9) savestate=9;    
if (savestate <0) savestate=0;
return;
}
void menu_LoadROM(void*)
{
    return;
}
void menu_SaveStates(void*)
{
    SDL_FillRect(surface,NULL,SDL_MapRGB(surface->format,0,0,0));
    SDL_Flip(surface);
    list<mt_list> list_SS;
//    mt_add_item(&list_SS, "Load State", SS_LS, savestate);
//    mt_add_item(&list_SS, "Save State", SS_SS, savestate);
    mt_add_item(&list_SS, "Savestate+", menu_statechange, (void*)1);
    mt_add_item(&list_SS, "Savestate-", menu_statechange, (void*)(-1));
    mt_add_item(&list_SS, "Exit", NULL, NULL);
    /* start menu loop - will end on selection of an active item */
    mt_start_menu(list_SS, "Save States", "font.ttf", "bold.ttf", surface);
    
    return;
}
void menu_Options(void*)
{
    return;
}
int menu()
{
    SDL_FillRect(surface,NULL,SDL_MapRGB(surface->format,0,0,0));
    SDL_Flip(surface);
    /* init libmenuthing, which calls TTF_Init() if not already called */
    mt_init();
    /* lmt uses lists - every menu is defined like this */
    list<mt_list> listthing;
    mt_add_item(&listthing, "Load ROM", menu_LoadROM, NULL);
    mt_add_item(&listthing, "Options", menu_Options, NULL);
    mt_add_item(&listthing, "Save states", menu_SaveStates, (void*)savestate);
    mt_add_item(&listthing, "Exit Menu", NULL, NULL);
    mt_add_item(&listthing, "Exit VBA2X", menu_Exit, NULL);
    /* start menu loop - will end on selection of an active item */
    mt_start_menu(listthing, "VBA2X-R", "font.ttf", "bold.ttf", surface);
    return 0;
}
